Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040762
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementmajoralways2019-05-03 09:492019-05-27 13:54
Reportersamuel_nicuesaView Statuspublic 
Assigned Tononofrancisco 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q3
StatusclosedFix in branchFixed in SCM revision33ab19458665
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionpiSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040762: Some reports are only available for active Organizations

DescriptionSome reports are only available for active Organizations
Steps To ReproduceGeneral ledger report is only available for active organizations.

[BO]
- > Navigate to General Ledger Report
- > In Organization field you will see all active Organizations. i.e Category Tree Store
- > Navigate to Organization window and deactivate this organization
- > Navigate to General Ledger Report and the organization won'e be available to create the Report.

Trial balance is not available for inactive Organizations.

- > Navigate to Trial Balance Report
- > In Organization field Category Tree Store won't be available

Balance sheet and P&L structure is not available for inactive Organizations.

- > Navigate to Balance sheet and P&L structure
- > Search : General Ledger (The White Valley Group)
         Accounting Report (Balance)
         Organization (There will be all active Organization)

- > Navigate to Organization and deactivate The White Valley Franchise

- > Now see that this Organization is not available in Balance sheet and P&L structure Report
     
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0111954)
nonofrancisco (developer)
2019-05-21 15:06
edited on: 2019-05-22 17:26

Test Plan

As Openbravo/F&B International Group Admin
Go to Organization window
Select organization F&B España - Region Sur
Set active = false
Select organization F&B España S.A
Set active = false

Open General Ledger Report
Click on Organization selector
Verify organizations F&B España - Region Sur and F&B España S.A are visibles

Open Trial Balance report
Click on Organization selector
Verify organizations F&B España - Region Sur and F&B España S.A are visibles

Open Balance Sheet and P&L Structure report
Select "Pérdidas y Ganancias" in Accounting Report selector
Click on Organization selector
Verify organizations F&B España - Region Sur and F&B España S.A are visibles

Test Plan

As Openbravo/F&B España S.A - Finance F&B International Group

Open General Ledger Report
Click on Organization selector
Verify organizations F&B España - Region Sur and F&B España S.A are visibles
Also verify organizations "*" and F&B España - Region Norte are visibles

Open Trial Balance report
Click on Organization selector
Verify organizations F&B España - Region Sur and F&B España S.A are visibles
Also verify organizations "*" and F&B España - Region Norte are visibles

Open Balance Sheet and P&L Structure report
Select "Pérdidas y Ganancias" in Accounting Report selector
Click on Organization selector
Verify organizations F&B España - Region Sur and F&B España S.A are visibles
Also verify organization F&B España - Region Norte is visible

(0112084)
hgbot (developer)
2019-05-23 10:33

Repository: erp/devel/pi
Changeset: 33ab194586659ed6b22971527c9560b46bfcd41d
Author: Nono Carballo <nonofce <at> gmail.com>
Date: Mon May 20 08:49:31 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/33ab194586659ed6b22971527c9560b46bfcd41d [^]

Fixes issue 40762: Makes inactive organizations available in reports.

Inactive organizations are included in Organization selector in reports.

---
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports_data.xsql
M src/org/openbravo/erpCommon/ad_reports/ReportGeneralLedger.java
M src/org/openbravo/erpCommon/ad_reports/ReportTrialBalance.java
M src/org/openbravo/erpCommon/info/SelectorUtility_data.xsql
---
(0112085)
Sandrahuguet (developer)
2019-05-23 10:35

Code review + testing OK
(0112171)
hudsonbot (developer)
2019-05-27 13:54

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/bdad8ace6f89 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-05-03 09:49 samuel_nicuesa New Issue
2019-05-03 09:49 samuel_nicuesa Assigned To => Triage Finance
2019-05-03 09:49 samuel_nicuesa Modules => Core
2019-05-03 09:49 samuel_nicuesa Triggers an Emergency Pack => No
2019-05-03 09:57 jfrances Issue Monitored: jfrances
2019-05-14 10:47 Sandrahuguet Assigned To Triage Finance => nonofrancisco
2019-05-20 16:25 nonofrancisco Status new => scheduled
2019-05-21 15:06 nonofrancisco Note Added: 0111954
2019-05-22 17:26 nonofrancisco Note Edited: 0111954 View Revisions
2019-05-23 10:33 hgbot Checkin
2019-05-23 10:33 hgbot Note Added: 0112084
2019-05-23 10:33 hgbot Status scheduled => resolved
2019-05-23 10:33 hgbot Resolution open => fixed
2019-05-23 10:33 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/33ab194586659ed6b22971527c9560b46bfcd41d [^]
2019-05-23 10:35 Sandrahuguet Review Assigned To => Sandrahuguet
2019-05-23 10:35 Sandrahuguet Note Added: 0112085
2019-05-23 10:35 Sandrahuguet Status resolved => closed
2019-05-23 10:35 Sandrahuguet Fixed in Version => 3.0PR19Q3
2019-05-27 13:54 hudsonbot Checkin
2019-05-27 13:54 hudsonbot Note Added: 0112171


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker